This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1010994 - JON (3.2.0) server plugin, unreachable NaN cache statistics values, even after Get Live Value
JON (3.2.0) server plugin, unreachable NaN cache statistics values, even afte...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: JON Plugin (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER5
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On: 1017654
Blocks: 1017190
  Show dependency treegraph
 
Reported: 2013-09-23 09:04 EDT by Tomas Sykora
Modified: 2014-11-30 16:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3612 Critical Resolved JON server plugin, unreachable NaN cache statistics values, even after Get Live Value 2017-05-04 06:49 EDT

  None (edit)
Description Tomas Sykora 2013-09-23 09:04:30 EDT
This bug is related to new JON 3.2.0 ER1 and JDG ER1.

It's not possible to see live cache and cache manager statistics in Monitoring tab for particular resource.

Cache manager statistics tab: "No items to show" 

For caches -- all values are marked as NaN, NaN ms or NaN % even though cache is UP more than 40 minutes.

Refreshing does not help. Get live value button does not help either.

I'm sure that we have entries in the cache and statistics are counted properly. I can see it via CLI console.

Statistics: {
  timeSinceReset: 2966
  stores: 7
  hitRatio: 1.0
  elapsedTime: 2966
  readWriteRatio: 1.2857142857142858
  removeHits: 0
  misses: 0
  statisticsEnabled: true
  averageReadTime: 0
  evictions: 0
  numberOfEntries: 7
  averageWriteTime: 0
  averageRemoveTime: 0
  removeMisses: 0
  hits: 9
}
Comment 2 Tomas Sykora 2013-10-07 09:09:54 EDT
A note:

This was tested using rhq-jboss-as-7-plugin-4.4.0.JON312GA.jar because we wanted to test JON 3.2.x but if we are using rhq-jboss-as-7-plugin-4.9.0.JON320ER2.jar with JON 3.2.x and latest jdg server plugin (6.2 ER2) we can't even see at Infinispan resource detected. 

On the other hand, while using rhq-jboss-as-7-plugin-4.4.0.JON312GA.jar we can see 2 Infinispan resources there. (One real, one fake)

This probably deserves another bug...
Comment 3 Tomas Sykora 2013-10-10 05:43:30 EDT
Renamed for better overview and tracking
Comment 4 Tomas Sykora 2013-11-04 04:40:38 EST
This doesn't need release note for 6.2.BETA release.
Comment 5 JBoss JIRA Server 2013-11-19 13:51:50 EST
William Burns <wburns@redhat.com> updated the status of jira ISPN-3612 to Coding In Progress
Comment 6 JBoss JIRA Server 2013-11-20 09:29:45 EST
William Burns <wburns@redhat.com> made a comment on jira ISPN-3612

This was removed with ISPN-3157.  I need to investigate further why.
Comment 7 Tomas Sykora 2013-12-12 11:02:17 EST
Verification blocked by:

https://bugzilla.redhat.com/show_bug.cgi?id=1041404
Comment 8 Tomas Sykora 2013-12-14 07:08:19 EST
After long... long time, I can see changing statistics there finally!
Brilliant fix, thank you!

VERIFIED with ER6.

Note You need to log in before you can comment on or make changes to this bug.